Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelVillager

    java.lang.Object
      net.minecraft.client.model.ModelBase
          net.minecraft.client.model.ModelVillager

Direct Known Subclasses:
  ModelWitch

    public class ModelVillager

extends ModelBase

Field Summary
`ModelRenderer` | `field_82898_f`
`ModelRenderer` | `leftVillagerLeg` The left leg of the VillagerModel
`ModelRenderer` | `rightVillagerLeg` The right leg of the VillagerModel
`ModelRenderer` | `villagerArms` The arms of the VillagerModel
`ModelRenderer` | `villagerBody` The body of the VillagerModel
`ModelRenderer` | `villagerHead` The head box of the VillagerModel

Fields inherited from class net.minecraft.client.model.ModelBase
`boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

Constructor Summary
`ModelVillager(float par1)`
`ModelVillager(float par1, float par2, int par3, int par4)`

Method Summary
`void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
`void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

Methods inherited from class net.minecraft.client.model.ModelBase
`func_85181_a, getTextureOffset, setLivingAnimations`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### villagerHead

    public ModelRenderer villagerHead

  The head box of the VillagerModel

### villagerBody

    public ModelRenderer villagerBody

  The body of the VillagerModel

### villagerArms

    public ModelRenderer villagerArms

  The arms of the VillagerModel

### rightVillagerLeg

    public ModelRenderer rightVillagerLeg

  The right leg of the VillagerModel

### leftVillagerLeg

    public ModelRenderer leftVillagerLeg

  The left leg of the VillagerModel

### field_82898_f

    public ModelRenderer field_82898_f

Constructor Detail

### ModelVillager

    public ModelVillager(float par1)

### ModelVillager

    public ModelVillager(float par1,
                         float par2,
                         int par3,
                         int par4)

Method Detail

### render

    public void render(Entity par1Entity,
                       float par2,
                       float par3,
                       float par4,
                       float par5,
                       float par6,
                       float par7)

  Sets the models various rotation angles then renders the model.

  Overrides:
    `render` in class `ModelBase`

### setRotationAngles

    public void setRotationAngles(float par1,
                                  float par2,
                                  float par3,
                                  float par4,
                                  float par5,
                                  float par6,
                                  Entity par7Entity)

  Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

  Overrides:
    `setRotationAngles` in class `ModelBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD